.messages {
  margin-top: 130px;

  .i-topTitle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #bababa;
    margin-top: 56px;
    padding-bottom: 8px;

    .heading {
      font-size: 22px;
      font-weight: 500;
      transform: scaleY(1.1);
      color: #303030;
    }

    .form-inline {
      display: flex;
      margin-top: 4px;

      & > .btn {
        border: none;
        display: inline;
        text-decoration: underline;
        color: #00b558;
        font-weight: 500;
        font-size: 14px;
        margin-right: 14px;

        &:hover,
        &:focus {
          background-color: transparent;
        }
      }
    }

    .form-group {
      display: flex;
      border: 1px solid #e3ebf3;
      background-color: #edf4f5;

      input {
        box-shadow: none;
        background: none;
        position: relative;
        padding: 28px 10px 29px 16px;
        width: 228px;
        border: none;
        font-size: 14px;
        color: #474848;
        transform: scaleY(1.1);
      }

      button {
        border: none;
        border-radius: 0;
        min-height: 100%;
        background-color: #00ad5d;
        width: 57px;
        padding: 0;
        background-image: url("/_green/img/new/icon-search.png");
        background-position: center center;
        background-repeat: no-repeat;

        i {
          display: none;
        }
      }
    }
  }

  .i-imailList {
    margin-top: 50px;

    li {
      background-color: #edf4f5;
      margin-bottom: 20px;
      position: relative;

      &::before {
        content: '';
        position: absolute;
        top: 10px;
        bottom: 10px;
        width: 1px;
        background-color: #ddd;
        left: calc(36% + 4px);
      }

      &::after {
        content: '';
        position: absolute;
        top: 10px;
        bottom: 10px;
        width: 1px;
        background-color: #ddd;
        right: 34%;
      }

      .row {
        display: flex;
        align-items: center;
      }

      .messages__user {
        margin-left: 16px;
        position: relative;
        width: 27%;

        p {
          font-weight: 300;
          font-size: 16px;
          transform: scaleY(1.1);
          padding-bottom: 0;

          a {
            color: #00b558;
            font-weight: 500;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
        }
      }

      .messages__about {
        position: relative;
        width: 29%;
        display: flex;
        justify-content: center;

        small {
          font-size: 12px;
          font-weight: 500;
          color: #787878;
          transform: scaleY(1.1);
          line-height: 21px;
          margin-left: 4px;
        }
      }

      .f-order-name {
        margin-top: 9px;

        .label {
          text-decoration: none;
          font-size: 14px;
          transform: scaleY(1.1);
          font-weight: 300;
          background-color: #dddddd;
          color: #000;
          padding-left: 11px;
          padding-right: 14px;
        }
      }

      .mail-link {
        font-size: 16px;
        font-weight: 500;
        color: #1c1c1c;
        transform: scaleY(1.1);
        text-decoration: none;
        border-bottom: 1px solid #ddd;
      }

      .mail-link__count {
        height: 21px;
        width: 24px;
        background-color: #00b558;
        line-height: 21px;
        color: #fff;
        text-align: center;
        font-weight: 500;
        font-size: 16px;
        transform: scaleY(1.1);
        display: inline-block;
        border-radius: 50%;
        margin-left: 6px;
      }

      .i-new-message {
        color: #00b558;
        font-size: 12px;
        font-weight: 500;
        transform: scaleY(1.1);
        line-height: 21px;
        margin-left: 10px;
      }

      .messages__notes {
        display: flex;
        justify-content: center;
        width: 33%;
        padding: 30px 0;

        .j-note {
          font-size: 12px;
          font-weight: 500;
          transform: scaleY(1.1);
          color: #787878;
        }

        a {
          color: #00b558;
          text-decoration: underline;

          span {
            border: none;
          }
        }

        .btn {
          color: #00b558;
          text-decoration: underline;
          border: none;
          background: none;
          font-weight: 500;

          &:hover,
          &:focus {
            background: none;
            box-shadow: none;
          }
        }

        .o-noteLinks {
          margin-top: 6px;
        }
      }
    }
  }

  .f-freelancer-avatar {
    img {
      border-radius: 50%;
    }
  }

  .o-addnote {
    display: none;
  }

  .j-pgn {
    display: flex;
    justify-content: center;
  }
}

@media screen and (max-width: 1199px) {
  .messages {
    .i-imailList {
      li {
        .col-sm-1 {
          width: 10%;
        }

        .messages__user {
          width: 30%;
        }

        .messages__about {
          width: 35% ;
        }

        .messages__notes {
          width: 25%;
        }

        &::before {
          left: calc(41% + 4px);
        }

        &::after {
          right: 24%;
        }
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .messages {
    margin-top: 122px;

    .i-topTitle {
      flex-direction: column;
      margin-top: 0;
      padding-bottom: 23px;
      position: relative;
      border: none;

      &::after {
        content: '';
        position: absolute;
        left: -30px;
        right: -30px;
        bottom: 0;
        height: 1px;
        background-color: #dddddd;
      }

      .heading {
        font-size: 21px;
        margin-bottom: 19px;
      }

      .form-inline {
        flex-direction: column-reverse;

        .btn {
          margin-right: 0;
        }

        .form-group {
          margin-bottom: 13px;
        }
      }
    }

    .i-imailList {
      overflow: hidden;
      margin-top: 30px;

      li {
        &::before,
        &::after {
          display: none;
        }

        .row {
          flex-wrap: wrap;
        }

        .col-sm-1 {
          width: 110px;
        }

        .messages__user {
          width: calc(100% - 110px);
          margin-left: 0;

          &::after {
            content: '';
            position: absolute;
            bottom: -25px;
            left: -9999px;
            right: -9999px;
            height: 1px;
            background-color: #dddddd;
          }
        }

        .messages__about {
          width: 58% ;
          justify-content: flex-start;
          padding: 21px 0 19px 30px;
          flex-wrap: wrap;

          &::after {
            content: '';
            position: absolute;
            top: 2px;
            bottom: 0;
            right: 0;
            width: 1px;
            background-color: #dddddd;
          }

          div {
            &:first-child {
              margin-right: 10px;
            }
          }

          small {
            white-space: nowrap;
          }
        }

        .i-new-message {
          margin-left: 0;
        }

        .messages__notes {
          padding: 0 20px 0 0;
          width: 42%;
        }
      }
    }
  }
}
